Subject: Re: bug#28630: 27.0.50; C-g while a non-main thread is sitting crashes Emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Oct 2017 10:39:05 +0300

> Date: Mon, 02 Oct 2017 19:08:59 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> I think the second thread calls setjmp and clobbers the values set by
> the main thread, when the main thread called setjmp.

That guess was correct.

I hope I fixed this now, but please test this in a GUI session on X,
as I couldn't test that configuration.  If there are still crashes,
please post a backtrace.

Thanks.